Movement Docs
Node API

Check basic node health

By default this endpoint just checks that it can get the latest ledger info and then returns 200.

If the duration_secs param is provided, this endpoint will return a 200 if the following condition is true:

server_latest_ledger_info_timestamp >= server_current_time_timestamp - duration_secs

GET
/-/healthy

Query Parameters

duration_secs?integer

Threshold in seconds that the server can be behind to be considered healthy

If not provided, the healthcheck will always succeed

Formatuint32

Response Body

curl -X GET "https://mainnet.movementnetwork.xyz/v1/-/healthy?duration_secs=0"
{
  "message": "string"
}
{
  "message": "string",
  "error_code": "account_not_found",
  "vm_error_code": 0
}
{
  "message": "string",
  "error_code": "account_not_found",
  "vm_error_code": 0
}